[arch-commits] Commit in xplc/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Wed Apr 22 00:48:21 EDT 2009


    Date: Wednesday, April 22, 2009 @ 00:48:21
  Author: eric
Revision: 36411

Merged revisions 13902,36410 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xplc/trunk

........
  r13902 | allan | 2008-09-29 02:38:10 -0400 (Mon, 29 Sep 2008) | 1 line
  
  correct sourceforge url
........
  r36410 | eric | 2009-04-22 00:48:05 -0400 (Wed, 22 Apr 2009) | 2 lines
  
  upgpkg: xplc 0.3.13-2
      Changed gcc depends to gcc-libs, FHS man pages, Added license, Fixed man page symlink
........

Modified:
  xplc/repos/extra-x86_64/	(properties)
  xplc/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)


Property changes on: xplc/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /xplc/trunk:1-8808
   + /xplc/trunk:1-36410

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-22 04:48:05 UTC (rev 36410)
+++ extra-x86_64/PKGBUILD	2009-04-22 04:48:21 UTC (rev 36411)
@@ -2,19 +2,21 @@
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=xplc
 pkgver=0.3.13
-pkgrel=1
+pkgrel=2
 pkgdesc="Cross-Platform Lightweight Components"
 arch=(i686 x86_64)
 url="http://xplc.sourceforge.net"
-depends=('gcc')
-source=(http://heanet.dl.sourceforge.net/sourceforge/xplc/$pkgname-$pkgver.tar.gz)
+license=('LGPL')
+depends=('gcc-libs')
+source=(http://downloads.sourceforge.net/sourceforge/xplc/$pkgname-$pkgver.tar.gz)
 md5sums=('39da3270527c8712b8e8fcf03768d29f')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --without-libuuid
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man --without-libuuid || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  rm -f $startdir/pkg/usr/bin/uuidgen
-  rm -f $startdir/pkg/usr/man/man1/uuidgen.1
+  make DESTDIR=$pkgdir install || return 1
+  ln -sf uuidgen.1.gz $pkgdir/usr/share/man/man1/uuidcdef.1
+  rm -f $pkgdir/usr/bin/uuidgen
+  rm -f $pkgdir/usr/share/man/man1/uuidgen.1
 }



More information about the arch-commits mailing list